# Интеллектуальные информационные системы

## Лекции

|    Дата    |Лекция                                                              | 
|:----------:|:-------------------------------------------------------------------| 
| 05.09.2024 | [Вводная лекция](./lectures/lec1.odp) - [в формате pptx](./lectures/lec1.pptx)| 
| 12.09.2024 | [Изолирование окружения. Docker](./lectures/lec2-docker.odp) - [в формате pptx](./lectures/lec2-docker.pptx) | 
| 19.09.2024 | [Разведочный анализ данных](./lectures/lec3-eda.odp) - [в формате pptx](./lectures/lec3-eda.pptx)  | 
| 26.09.2024 | [MLFlow](./lectures/lec3-eda.odp) - [в формате pptx](./lectures/lec4-mlflow.pptx)  | 
| 03.10.2024 | [MLFlow - практика](./assets/mlflow/research.ipynb)  | 
| 10.10.2024 | [Feature engineering](./lectures/lec6-feature_engineering.odp) - [в формате pptx](./lectures/lec6-feature_engineering.pptx) - код в [ноутбуке к mlflow](./assets/mlflow/research.ipynb) |
| 17.10.2024 | [Feature extraction. Настройка гиперпараметров](./lectures/lec7-feature_selection_hyperparams.odp) - [в формате pptx](./lectures/lec7-feature_selection_hyperparams.pptx) - код в [ноутбуке к mlflow](./assets/mlflow/research.ipynb) |


## <span style="color:red">Перенос занятий</span>
### Лекции
31.10 и 07.11 переносятся на 19.11.2024 1-2 пары
### Лабы
Проходят в аудитории **М302** у двух групп одновременно

* 22.10.2024  - 4-5 пары
* 19.11.2024  - 3-4 пары
* 17.12.2024  - 4-5 пары

## Лабораторные работы

[Лабораторная работа 1.](./labs/lab1.md)   Настройка окружения и раведочный анализ данных
    
[Лабораторная работа 2.](./labs/lab2.md)   Проведение исследований по настройке модели.

## [Журнал](https://docs.google.com/spreadsheets/d/10juwyGqOhiD_czxfVziLj10aHYTaCp5oDmhesBJkxYM/edit?gid=1516016995#gid=1516016995)